org.apache.felix.ipojo.manipulator.spi

## Class AbsBindingModule.AnnotationBindingBuilder

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.AbsBindingModule.AnnotationBindingBuilder

Enclosing class:
  AbsBindingModule

    public class AbsBindingModule.AnnotationBindingBuilder
    extends Object

DSL helper class.

### Constructor Summary

Constructors
Constructor and Description
`AnnotationBindingBuilder(List<Binding> registry, Class<? extends Annotation> annotationType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `to(AnnotationVisitorFactory factory)` Complete the annotation binding with the `AnnotationVisitorFactory` to be executed when the annotation is found.
`AbsBindingModule.ConditionalBindingBuilder` `when(Predicate predicate)` Declares a `Predicate` that will add a condition to the annotation binding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationBindingBuilder

    public AnnotationBindingBuilder(List<Binding> registry,
                                    Class<? extends Annotation> annotationType)

### Method Detail

#### when

    public AbsBindingModule.ConditionalBindingBuilder when(Predicate predicate)

Declares a `Predicate` that will add a condition to the annotation binding.

Parameters:
  `predicate` - the predicate to use
See Also:
  `Predicates`

#### to

    public void to(AnnotationVisitorFactory factory)

Complete the annotation binding with the `AnnotationVisitorFactory` to be executed when the annotation is found.

Parameters:
  `factory` - to be executed when the annotation is found.